[ Identification | Description | Input parameters | Output parameters | Links ]

# The `PSD_monitor_rad` Component

Modified: Kim Lefmann Position-sensitive monitor with radially averaging.

## Identification

- Author: Henrich Frielinghaus
- Origin: FZ-Juelich/FRJ-2/IFF/KWS-2
- Date: 7 June 2005
- Version: 1.4

## Description

    Radial monitor that allows for radial averaging.
    Comment: The intensity is given as two files:
             1) a radial sum
             2) a radial average (i.e. intensity per area)

    This monitor may be replaced by the Monitor_nD(options="auto radius") component

    Example: PSD_monitor_rad(rmax=0.2, nr=100, filename="Output.psd", filename_av="Output_av.psd")

WARNING: This is a contributed Component.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nr | 1 | Number of concentric circles | 100
filename | text | Name of file in which to store the detector image |
filename_av | text | Name of file in which to store the averaged detector image |
rmax | m | Outer radius of detector |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
PSDr_N | - | Array of neutron counts |
PSDr_p | - | Array of neutron weight counts |
PSDr_p2 | - | Array of second moments |
PSDr_av_p | - | Array of neutron weight counts, averaged |
PSDr_av_p2 | - | Array of second moments, averaged |

## Links

- Source code for `PSD_monitor_rad.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]